### Method

# Gio FileInfo get_icon

#### Declaration [src]

    GIcon*
    g_file_info_get_icon (
      GFileInfo* info
    )

#### Description [src]

Gets the icon for a file.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_STANDARD_ICON`.

#### Return value

Type: `GIcon`

`GIcon` for the given `info`.

The data is owned by the instance.
The return value can be `NULL`.